window.Gleam.initSearch([{"doc":"string_format","title":"string_format","content":"# string_format\n\n[![Package Version](https://img.shields.io/hexpm/v/string_format)](https://hex.pm/packages/string_format)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/string_format/)\n\n```sh\ngleam add string_format\n```\n```gleam\nimport gleam/io\nimport string_format.{end, f, format}\n\npub fn main() {\n  let fibo_list = [1, 1, 2, 3, 5, 8]\n\n  let mystr =\n    format(&quot;PI is {} and the First fibonacci numbers are: {}&quot;)\n    |&gt; f(3.14)\n    |&gt; f(fibo_list)\n    |&gt; end()\n\n  io.println(mystr)\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/string_format&gt;.\n\n## Development\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\ngleam shell # Run an Erlang shell\n```\n","url":"index.html"},{"doc":"string_format","title":"end","content":"pub fn end(state: #(List(String), String, Int)) -&gt; String\n\nSynonyms:\nstring_format.end\nstring_format end","url":"string_format.html#end"},{"doc":"string_format","title":"f","content":"pub fn f(\n  state: #(List(String), String, Int),\n  val: a,\n) -&gt; #(List(String), String, Int)\n\nSynonyms:\nstring_format.f\nstring_format f","url":"string_format.html#f"},{"doc":"string_format","title":"format","content":"pub fn format(fmtstr: String) -&gt; #(List(a), String, Int)\n Inserts strings, ints or floats into placeholders similar to str.format() in Python\n\n ## Examples\n\n \n format(&quot;hello {}, pi equals {}!&quot;) |&gt; f(&quot;World&quot;) |&gt; f(3.14) |&gt; end()\n // -&gt; &quot;hello World, pi equals 3.14!&quot;\n \n\nSynonyms:\nstring_format.format\nstring_format format","url":"string_format.html#format"},{"doc":"string_format","title":"string_format","content":"","url":"string_format.html"}]);